#include <TimerOne.h>
int led; // LED の状態，1：点灯，0：消灯

void setup()
{
  pinMode(13, OUTPUT);
		// 13 番ピンを出力に（Intel Edison に付いているLED を使う）

  Timer1.initialize(1000000);
		// マイクロ秒（10 万分の1 秒）単位でタイマーの間隔を設定
  Timer1.attachInterrupt(timerIsr); // タイマースタート

  led=0;
}

void loop()
{
// このプログラムでは loop 関数は何もしない
}

void timerIsr()
{
		// LED の点滅
  if(led==1){
    digitalWrite(13, HIGH); //LED の点灯
    led=0;
  }
  else{
    digitalWrite(13, LOW); //LED の消灯
    led=1;
  }
}
