#include <Servo.h> // サーボモータを使うためのライブラリ

Servo myservo; // サーボモータを使うための宣言

void setup() {
  Serial.begin(9600); // シリアル通信の通信速度を9600bps に設定
  myservo.attach(9); // サーボモータの信号線をつなぐピンを設定
  myservo.write(0); // サーボモータの角度を0 度に
}

void loop() {
  int i;
  for (i = 0; i < 120; i++) {
    int d = analogRead(0);
    Serial.println(d); // シリアルモニタに表示
    myservo.write(i);
		// サーボモータの角度を0～120 度まで変える
    delay(10);
  }
}
