void setup()
{
  Serial.begin(9600); // シリアル通信の通信速度を9600bps に設定
  pinMode(3, OUTPUT); // 出力に設定
  pinMode(6, OUTPUT); // 出力に設定
  pinMode(9, OUTPUT); // 出力に設定
}
void loop()
{
  char led1, led2, led3;
  int select1;
  if (Serial.available() > 3) {
    select1 = (int)(Serial.read()) - 48;
		// 千の位を読み込んで，文字コードから数値へ
    led1 = Serial.read();
		// 百の位の読み込み（3 番ピンにつながったLED の点灯・消灯を決める）
    led2 = Serial.read(); // 十の位（6 番ピン）
    led3 = Serial.read(); // 一の位（9 番ピン）
    int a = 255 / ((select1 + 1) * (select1 + 1));
		// 明るさの設定（割り算なのでselect1 が大きいほどa は小さくなる）
    if (led1 == '1') { // 百の位が1 ならば
      analogWrite(3, a); // LED を設定した明るさで光らせる
    }
    else { // そうでなければ
      digitalWrite(3, LOW); // LED を消す
    }
    if (led2 == '1') { // 十の位について
      analogWrite(6, a);
    }
    else {
      digitalWrite(6, LOW);
    }
    if (led3 == '1') { // 一の位について
      analogWrite(9, a);
    }
    else {
      digitalWrite(9, LOW);
    }
  }
}
